## nss 3.12.0~beta3

=== mozilla/security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

-include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

# des.c wants _X86_ defined for intel CPUs.  
# coreconf does this for windows, but not for Linux, FreeBSD, etc.
ifeq ($(CPU_ARCH),x86)
ifneq (,$(filter-out WIN%,$(OS_TARGET)))
	OS_REL_CFLAGS += -D_X86_
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WIN16 and WINCE
ifndef USE_64
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

# The -R '$ORIGIN' linker option instructs this library to search for its
# dependencies in the same directory where it resides.
MKSHLIB += -R '$$ORIGIN'
ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    endif # NS_USE_GCC

    ### set flags for both GCC and Sun cc
    ifdef USE_ABI32_INT32
	# this builds for Sparc v8 pure 32-bit architecture
	DEFINES += -DMP_USE_UINT_DIGIT -DMP_ASSEMBLY_MULTIPLY
	ASFILES  = mpv_sparcv8x.s
	DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    endif
    ifdef USE_ABI32_INT64
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses 64-bit words, integer arithmetic, no FPU
	# best times are with no MP_ flags specified
    endif
    ifdef USE_ABI32_FPU
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses FPU code, and 32-bit word size
	MPI_SRCS += mpi_sparc.c
	ASFILES  = mpv_sparcv8.s montmulfv8.s

## nss 3.12.8

=== debian/changelog ===
nss (3.12.8-1+squeeze9) squeeze-lts; urgency=low

  * Non-maintainer upload by the Squeeze LTS Team.
  * Fix CVE-2014-1568: RSA signature verification bypass.

 -- Holger Levsen <holger@debian.org>  Thu, 25 Sep 2014 07:56:39 +0000

nss (3.12.8-1+squeeze8) squeeze-lts; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-1492: Incorrect IDNA domain name matching for wildcard
    certificates.
  * Fix CVE-2014-1491: Do not allow p-1 as a public DH value.
  * Fix CVE-2013-5606: Properly return a certificate validation error when
    using the verifylog mode.
  * Fix CVE-2013-1741: Runaway memset in certificate parsing on 64-bit
    computers leading to a crash by attempting to write 4Gb of nulls.

 -- Raphael Geissert <geissert@debian.org>  Tue, 29 Jul 2014 10:20:05 +0200

nss (3.12.8-1+squeeze7) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-5605.patch.
    CVE-2013-5605: Null_Cipher() does not respect maxOutputLen; allowing
    remote attackers to cause a denial of service or possibly have
    unspecified other impact via invalid handshake packets.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Nov 2013 07:33:29 +0100

nss (3.12.8-1+squeeze6) stable-security; urgency=low

  * Explicitly distrust two intermediate CA certificates mis-issued by
    TURKTRUST.

 -- Mike Hommey <glandium@debian.org>  Fri, 04 Jan 2013 10:32:09 +0100

nss (3.12.8-1+squeeze5) stable-security; urgency=low

  * Address CVE-2012-0441 (Insufficient length checking in QuickDER decoder)
  * debian/rules: Work around NSS not building on Linux 3.x kernels.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Jun 2012 09:46:21 +0200

nss (3.12.8-1+squeeze4) stable-security; urgency=low

  * Explicitly distrust malaysian Digicert Sdn. Bhd CA certificate.
  * Address CVE-2011-3640 (Untrusted search path vulnerability).
    Closes: #647614.

 -- Mike Hommey <glandium@debian.org>  Sun, 06 Nov 2011 09:01:08 +0100

nss (3.12.8-1+squeeze3) stable-security; urgency=low

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Explicitly distrust various DigiNotar CAs:
    - DigiNotar Root CA
    - DigiNotar Services 1024 CA
    - DigiNotar Cyber CA
    - DigiNotar Cyber CA 2nd
    - DigiNotar PKIoverheid
    - DigiNotar PKIoverheid G2

 -- Mike Hommey <glandium@debian.org>  Sat, 03 Sep 2011 09:32:46 +0200

nss (3.12.8-1+squeeze2) stable-security; urgency=low

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Remove DigiNotar Root CA.

 -- Mike Hommey <glandium@debian.org>  Wed, 31 Aug 2011 08:54:44 +0200

nss (3.12.8-1+squeeze1) stable-security; urgency=low

  * debian/rules: Fallback to DEB_BUILD_ARCH when dpkg-architecture does't
    support DEB_BUILD_ARCH_BITS.
  * debian/control: Lower build depends on dpkg-dev to (>= 1.13.19), which
    was the value before starting to use DEB_BUILD_ARCH_BITS.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Mark fraudulent
    Comodo certificates as untrusted.

 -- Mike Hommey <glandium@debian.org>  Thu, 24 Mar 2011 17:09:25 +0100

nss (3.12.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/patches/series:
    + lower-dhe-priority.patch: Upstream patch from bz#583337 to lower DHE
      priority. Closes: #592315.

 -- Mike Hommey <glandium@debian.org>  Thu, 07 Oct 2010 08:50:48 +0200

nss (3.12.8~b2-1) experimental; urgency=low

  * New upstream snapshot, picked from NSS_3_12_8_BETA2 cvs tag.
  * debian/patches/*: Refresh patches.

 -- Mike Hommey <glandium@debian.org>  Mon, 23 Aug 2010 18:11:12 +0200

nss (3.12.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/control:
    - Bump Standards-Version to 3.9.1.0.
    - Build depend on libnspr4-dev >= 4.8.6.
  * debian/libnss3-1d.symbols: Simplify symbols file and add new symbols.
  * debian/rules: Bump shlibs.

 -- Mike Hommey <glandium@debian.org>  Fri, 06 Aug 2010 13:55:14 +0200

nss (3.12.6-3) unstable; urgency=low

  * debian/rules:
    + Sign libnssdbm3.so. Closes: #588806.
    + Test that the FIPS mode can be properly enabled during build.
  * debian/control:
    + Remove conflicts with very old packages.
    + Bump Standards-Version to 3.9.0.0.

 -- Mike Hommey <glandium@debian.org>  Mon, 12 Jul 2010 15:12:24 +0200

nss (3.12.6-2) unstable; urgency=low

  * debian/patches/series:
    + 00_ckbi_1.79.patch: New patch to update CKBI to 1.79.
    + 95_add_spi+cacert_ca_certs.patch: Refreshed against CKBI 1.79.

 -- Mike Hommey <glandium@debian.org>  Fri, 09 Apr 2010 10:45:01 +0200

nss (3.12.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/libnss3-1d.symbols, debian/rules: Update symbols file with new
    symbols and bump shlibs.
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch,
    debian/patches/series: Enable transitional scheme for ssl renegotiation.
    Closes: #561918.
  * debian/control:
    + Bump Standards-Version to 3.8.4.0.
    + Drop libnss3-1d dependency on dpkg. The versions it didn't really like
      were between oldstable and stable.
    + Don't allow different versions of libnss3-1d, libnss3-1d-dbg and
      libnss3-tools to be installed at the same time.
    + Add ${misc:Depends} to libnss3-1d-dbg dependencies.
  * debian/rules: Revert workaround for gcc 4.4 bug on powerpc with -Os.
  * debian/rules, debian/control, debian/compat: Simplify debian/rules by
    using dh.

 -- Mike Hommey <glandium@debian.org>  Wed, 17 Mar 2010 20:33:32 +0100

nss (3.12.5-2) unstable; urgency=low

  * debian/control:
    + Remove build dependency on autotools-dev, we don't use it.
    + libnss3-dev depends on libnspr4-dev >= 4.6.6-1. 4.6.6-1 was the first
      version where the pkg-config file was nspr.pc instead of
      xulrunner-nspr.pc. Closes: #567134.
  * debian/patches/96_NSS_VersionCheck.patch, debian/patches/series:


=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^~]*\)\(~.*\)\?-.*$$/\1/ p')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

ifneq (,$(filter 64 alpha amd64 ia64 s390x,$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS 2> /dev/null || dpkg-architecture -qDEB_BUILD_ARCH)))
USE_64 := USE_64=1
else
USE_64 :=
endif

CFLAGS := -Wall -pipe

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

CFLAGS += -g

DISTDIR := $(CURDIR)/mozilla/dist

override_dh_auto_build:
	$(MAKE) -C mozilla/security/nss \
		build_coreconf \
		build_dbm \
		all \
		MOZILLA_CLIENT=1 \
		NSPR_INCLUDE_DIR=/usr/include/nspr \
		NSPR_LIB_DIR=/usr/lib \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		NS_USE_GCC=1 \
		OPTIMIZER="$(CFLAGS)" \
		NSS_USE_SYSTEM_SQLITE=1 \
		NSS_ENABLE_ECC=1 \
		OS_RELEASE=2.6 \
		$(USE_64)

override_dh_auto_clean:
	-$(MAKE) -C mozilla/security/nss \
		clobber \
		clobber_dbm \
		clobber_coreconf \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		OS_RELEASE=2.6 \
		$(USE_64)

	rm -rf $(DISTDIR)

override_dh_auto_install:
	install -m 644 -t debian/libnss3-1d/usr/lib \
		$(DISTDIR)/lib/*.so.1d
	install -m 644 -t debian/libnss3-1d/usr/lib/nss \
		$(DISTDIR)/lib/libfreebl3.so \
		$(DISTDIR)/lib/libsoftokn3.so \
		$(DISTDIR)/lib/libnssdbm3.so \
		$(DISTDIR)/lib/libnssckbi.so

	install -m 644 -t debian/libnss3-dev/usr/include/nss \
		$(DISTDIR)/public/nss/*
	install -m 644 -t debian/libnss3-dev/usr/lib \
		$(DISTDIR)/lib/libcrmf.a
	sed 's/@VERSION@/$(UPSTREAM_VERSION)/' debian/nss.pc.in > debian/libnss3-dev/usr/lib/pkgconfig/nss.pc
	sed 's/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/ ; s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/ ; s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/' debian/nss-config.in > debian/libnss3-dev/usr/bin/nss-config
	chmod 755 debian/libnss3-dev/usr/bin/nss-config

	install -m 755 -t debian/libnss3-tools/usr/bin \
		$(foreach bin,certutil cmsutil crlutil modutil pk12util shlibsign signtool signver ssltap pwdecrypt, \
		$(DISTDIR)/bin/$(bin))

override_dh_strip:
	dh_strip -a --dbg-package=libnss3-1d-dbg
	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
		LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib:debian/libnss3-1d/usr/lib/nss \
		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3-1d/usr/lib/nss/$(lib);)
	# Check FIPS mode correctly works
	mkdir debian/tmp
	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib:debian/libnss3-1d/usr/lib/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib:debian/libnss3-1d/usr/lib/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libnss3-1d (>= 3.12.7)' -- -c4

%:
	dh $@

## nss 3.13.1.with.ckbi.1.88

=== debian/changelog ===
nss (3.13.1.with.ckbi.1.88-1ubuntu6) precise; urgency=low

  * Add protect-against-calls-before-nss_init.patch (RHBZ #784672).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 27 Feb 2012 14:45:29 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu5) precise; urgency=low

  * Include libnssckfw.a in the -dev package, also needed by
    mod_revocator.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 19 Feb 2012 15:21:19 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu4) precise; urgency=low

  * Include libnssb.a in the -dev package, needed by mod_revocator.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 19 Feb 2012 13:18:09 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu3) precise; urgency=low

  * Fix LP: #915069 - Add patch from upstream to fix an error in pkcs11n.h
    - add debian/patches/98_fix_header_error.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 12 Jan 2012 11:15:39 +0000

nss (3.13.1.with.ckbi.1.88-1ubuntu2) precise; urgency=low

  * Fix lintian overrides to just list the soname warning to ignore
    and not list the paths, which would break installing multiarched libs.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 12 Dec 2011 13:06:15 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu1) precise; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Ship the main SO files in an unversioned binary, as we don't have
      versioned SO's in Ubuntu. Maintain a transitional versioned binary
      package containing the versioned symlinks, to maintain compatibility
      with Debian
      * update control, rules
      * mass rename libnss3-1d* => libnss3*
    - Fix postinst-must-call-ldconfig - dh_makeshlibs doesn't seem to add
      the maintainer script hooks with the unversioned SO files, so add
      them manually
      * add libnss3.postinst, libnss3.postrm
    - rules: Add support for mozilla-devscripts.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
  * control: Fix typo (LP: #855424)
  * Bugs fixed by the merge:
    - Using dh now (LP: #613477)
    - Adds 85_security_load.patch (LP: #315096)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 30 Nov 2011 11:16:39 +0200

nss (3.13.1.with.ckbi.1.88-1) unstable; urgency=low

  * New upstream release.
    - Distrusts malaysian Digicert Sdn. Bhd CA certificate.
    - Addresses CVE-2011-3640 (Untrusted search path vulnerability).
      Closes: #647614.
  * debian/patches/*: Refreshed patches.
  * debian/libnss3-1d.symbols: Add NSS 3.13 symbols.

 -- Mike Hommey <glandium@debian.org>  Sat, 05 Nov 2011 17:05:26 +0100

nss (3.12.11-3) unstable; urgency=high

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Explicitely distrust various DigiNotar CAs:
    - DigiNotar Root CA
    - DigiNotar Services 1024 CA
    - DigiNotar Cyber CA
    - DigiNotar Cyber CA 2nd
    - DigiNotar PKIoverheid
    - DigiNotar PKIoverheid G2

 -- Mike Hommey <glandium@debian.org>  Sat, 03 Sep 2011 09:33:28 +0200

nss (3.12.11-2) unstable; urgency=high

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Remove DigiNotar Root CA.

 -- Mike Hommey <glandium@debian.org>  Wed, 31 Aug 2011 08:49:00 +0200

nss (3.12.11-1) unstable; urgency=low

  * New upstream release.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*,
  * mozilla/security/coreconf/{config,Linux}.mk: Refreshed.
  * debian/copyright: Update dbm license according to that in the source.
    Closes: #624310

 -- Mike Hommey <glandium@debian.org>  Fri, 12 Aug 2011 12:45:08 +0200

nss (3.12.10-3) unstable; urgency=low

  * debian/nss-config.in, debian/nss.pc.in, debian/rules: Return the multiarch
    path in nss-config and nss.pc.

 -- Mike Hommey <glandium@debian.org>  Thu, 21 Jul 2011 18:08:48 +0200

nss (3.12.10-2) unstable; urgency=low

  * debian/control, debian/libnss3-1d.dirs,
    debian/libnss3-1d.lintian-overrides.in, debian/libnss3-dev.dirs,
    debian/libnss3-1d.links.in, debian/libnss3-dev.links.in,
    debian/rules: Switch to multi-arch while keeping backports easy.
    Closes: #497088.

 -- Mike Hommey <glandium@debian.org>  Mon, 04 Jul 2011 11:24:18 +0200

nss (3.12.10-1) unstable; urgency=low

  * New upstream release.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Refreshed.
  * debian/control: Build depend on libnspr4-dev >= 4.8.8.
  * debian/libnss3-1d.symbols: Add new symbol version.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 May 2011 10:20:59 +0200

nss (3.12.9.with.ckbi.1.82-1) unstable; urgency=low

  * New upstream release.
    - Marks fraudulent Comodo certificates as untrusted.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Thu, 24 Mar 2011 16:37:46 +0100

nss (3.12.9+ckbi-1.82-0ubuntu6) oneiric; urgency=low

  * No-change rebuild to force a version bump, forcing upgrades,
    and restoring the deleted library that ca-certificates ate.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Sep 2011 14:42:05 -0600

nss (3.12.9+ckbi-1.82-0ubuntu5) oneiric; urgency=low

  * SECURITY UPDATE: Add patch from Debian version 3.12.11-3 rebased against
    3.12.9 to remove the DigiNotar certificates and actively distrust them;
    Thanks to Mike Hommey from Debian for the original patch (LP: #837557)
    - mozilla/security/nss/lib/ckfw/builtins/certdata.*:
      Explicitely distrust various DigiNotar CAs:
      - DigiNotar Root CA
      - DigiNotar Services 1024 CA
      - DigiNotar Cyber CA
      - DigiNotar Cyber CA 2nd
      - DigiNotar PKIoverheid
      - DigiNotar PKIoverheid G2
    - mozilla/security/nss/lib/ckfw/builtins/certdata.*:
      Remove DigiNotar Root CA.
  * Add a symlink from Linux2.6.mk to Linux3.0.mk; This is a temporary hack to
    let NSS build on a 3.0.x kernel
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 09 Sep 2011 11:57:13 -0500

nss (3.12.9+ckbi-1.82-0ubuntu4) oneiric; urgency=low

  * nss-config, nss.pc: Fix multiarch libdir location. LP: #778726.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 May 2011 16:33:57 +0200



=== debian/control ===
Source: nss
Section: libs
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.13.19), libnspr4-dev (>= 4.8.8), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
Standards-Version: 3.9.1.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git

Package: libnss3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnss3-1d
Conflicts: libnss3-1d (<< 3.12.9~b2), sunbird
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.

Package: libnss3-1d
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libnss3 (= ${binary:Version}),
Multi-Arch: ${misc:Multi-Arch}
Description: Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package contains versioned symbolic links for Debian compatibility.

Package: libnss3-tools
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Security Service tools
 This is a set of tools on top of the Network Security Service libraries.
 This package includes:
  * certutil: manages certificate and key databases (cert7.db and key3.db)
  * modutil: manages the database of PKCS11 modules (secmod.db)
  * pk12util: imports/exports keys and certificates between the cert/key
    databases and files in PKCS12 format.
  * shlibsign: creates .chk files for use in FIPS mode.
  * signtool: creates digitally-signed jar archives containing files and/or
    code.
  * ssltap: proxy requests for an SSL server and display the contents of
    the messages exchanged between the client and server.
Homepage: http://www.mozilla.org/projects/security/pki/nss/tools/

Package: libnss3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}), libnspr4-dev (>= 4.6.6-1)
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.

Package: libnss3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libnss3 (= ${binary:Version}) | libnss3-tools (= ${binary:Version})
Conflicts: libnss3 (<< ${binary:Version}), libnss3 (>> ${binary:Version}), libnss3-tools (<< ${binary:Version}), libnss3-tools (>> ${binary:Version}),
 libnss3-1d-dbg,
Replaces: libnss3-1d-dbg
Multi-Arch: ${misc:Multi-Arch}
Description: Debugging symbols for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/mozilla-devscripts/nss.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g;$(EXTRA_REPLACES)' $< > $@

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^~]*\)\(~.*\)\?-.*$$/\1/ p')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

debian/nss.pc: EXTRA_REPLACES := s/@VERSION@/$(UPSTREAM_VERSION)/
debian/nss-config: EXTRA_REPLACES := s/@MOD_MAJOR_VERSION@/$(MOD_MAJOR_VERSION)/;s/@MOD_MINOR_VERSION@/$(MOD_MINOR_VERSION)/;s/@MOD_PATCH_VERSION@/$(MOD_PATCH_VERSION)/

ifneq (,$(filter 64 alpha amd64 ia64 s390x,$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS 2> /dev/null || dpkg-architecture -qDEB_BUILD_ARCH)))
USE_64 := USE_64=1
else
USE_64 :=
endif

CFLAGS := -Wall -pipe

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

CFLAGS += -g

DISTDIR := $(CURDIR)/mozilla/dist

override_dh_auto_build:
	$(MAKE) -C mozilla/security/nss \
		build_coreconf \
		build_dbm \
		all \
		MOZILLA_CLIENT=1 \
		NSPR_INCLUDE_DIR=/usr/include/nspr \
		NSPR_LIB_DIR=/usr/lib \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		NS_USE_GCC=1 \
		OPTIMIZER="$(CFLAGS)" \
		NSS_USE_SYSTEM_SQLITE=1 \
		NSS_ENABLE_ECC=1 \
		CHECKLOC= \
		$(USE_64)

override_dh_auto_clean:
	-$(MAKE) -C mozilla/security/nss \
		clobber \
		clobber_dbm \
		clobber_coreconf \
		SOURCE_MD_DIR=$(DISTDIR) \
		DIST=$(DISTDIR) \
		BUILD_OPT=1 \
		$(USE_64)

	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libssl3.so \
		$(DISTDIR)/lib/libsmime3.so \
		$(DISTDIR)/lib/libnssutil3.so \
		$(DISTDIR)/lib/libnss3.so
	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		$(DISTDIR)/lib/libfreebl3.so \
		$(DISTDIR)/lib/libsoftokn3.so \
		$(DISTDIR)/lib/libnssdbm3.so \
		$(DISTDIR)/lib/libnssckbi.so

	install -m 644 -t debian/libnss3-dev/usr/include/nss \
		$(DISTDIR)/public/nss/*
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(DISTDIR)/lib/libcrmf.a \
		$(DISTDIR)/lib/libnssb.a \
		$(DISTDIR)/lib/libnssckfw.a
	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config

	install -m 755 -t debian/libnss3-tools/usr/bin \
		$(foreach bin,certutil cmsutil crlutil modutil pk12util shlibsign signtool signver ssltap pwdecrypt, \
		$(DISTDIR)/bin/$(bin))

override_dh_strip:
	dh_strip -a --dbg-package=libnss3-dbg
	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
	# Check FIPS mode correctly works
	mkdir debian/tmp
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libnss3 (>= 3.12.9~beta2)' -- -c4 \
		$(foreach lib,libnss3.so libnssutil3.so libsmime3.so libssl3.so, \
		-edebian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib))

ifneq (,$(DEB_HOST_MULTIARCH))
override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Multi-Arch=same
endif

%:
	dh $@

## nss 3.13.2~beta1

=== debian/changelog ===
nss (3.13.2~beta1-2) experimental; urgency=low

  * mozilla/security/nss/lib/ssl/*,
    mozilla/security/nss/cmd/tstclnt/tstclnt.c,
    mozilla/security/nss/tests/ssl/ssl.sh: Apply patches from bz#542832,
    required for Iceweasel 11.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 17:39:57 +0100

nss (3.13.2~beta1-1) experimental; urgency=low

  * New upstream snapshot, picked from NSS_3_13_2_BETA1 cvs tag.
  * debian/libnss3-1d.symbols: Add NSS 3.13.2 symbols.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 16:22:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
--include /usr/share/mozilla-devscripts/nss.mk
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -66,13 +64,10 @@
 	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)
 
 override_dh_auto_install: $(PREPROCESS_FILES:.in=)
-	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/libssl3.so \
-		$(DISTDIR)/lib/libsmime3.so \
-		$(DISTDIR)/lib/libnssutil3.so \
-		$(DISTDIR)/lib/libnss3.so
-	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
+	install -m 755 -d debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 644 -t debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH) \
+		$(DISTDIR)/lib/*.so.1d
+	install -m 644 -t debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
 		$(DISTDIR)/lib/libfreebl3.so \
 		$(DISTDIR)/lib/libsoftokn3.so \
 		$(DISTDIR)/lib/libnssdbm3.so \
@@ -81,9 +76,7 @@
 	install -m 644 -t debian/libnss3-dev/usr/include/nss \
 		$(DISTDIR)/public/nss/*
 	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/libcrmf.a \
-		$(DISTDIR)/lib/libnssb.a \
-		$(DISTDIR)/lib/libnssckfw.a
+		$(DISTDIR)/lib/libcrmf.a
 	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
 	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config
 
@@ -92,19 +85,17 @@
 		$(DISTDIR)/bin/$(bin))
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libnss3-dbg
+	dh_strip -a --dbg-package=libnss3-1d-dbg
 	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
-		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
-		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
+		LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
+		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
 	# Check FIPS mode correctly works
 	mkdir debian/tmp
-	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
-	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
+	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
+	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'libnss3 (>= 3.12.9~beta2)' -- -c4 \
-		$(foreach lib,libnss3.so libnssutil3.so libsmime3.so libssl3.so, \
-		-edebian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib))
+	dh_makeshlibs -a -V 'libnss3-1d (>= 3.12.9~beta2)' -- -c4
 
 ifneq (,$(DEB_HOST_MULTIARCH))
 override_dh_gencontrol:

## nss 3.13.3

=== debian/changelog ===
nss (3.13.3-1) unstable; urgency=low

  * New upstream release.
  * debian/libnss3-1d.symbols: Updated to fit new upstream.

 -- Mike Hommey <glandium@debian.org>  Fri, 24 Feb 2012 09:56:10 +0100

nss (3.13.2~beta1-3) experimental; urgency=low

  * debian/libnss3-1d.symbols: Fix symbol version for the symbol added in
    -2.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 19:20:23 +0100
